Package: org.codehaus.groovy.classgen

## [Java] Class EnumCompletionVisitor

- org.codehaus.groovy.classgen.EnumCompletionVisitor

- Enums have a parent constructor with two arguments from java.lang.Enum. This visitor adds those two arguments into manually created constructors and performs the necessary super call.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EnumCompletionVisitor (CompilationUnit cu, SourceUnit su)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `addMapConstructors(ClassNode enumClass, boolean hasNoArg)`
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `void` | `visitClass(ClassNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `visitField, visitMethod, visitPackage, visitReturnStatement, visitConstructor, visitProperty, visitClass, visitBreakStatement, visitContinueStatement, visitThrowStatement, visitCaseStatement, visitExpressionStatement, visitSynchronizedStatement, visitBlockStatement, visitAssertStatement, visitTryCatchFinally, visitCatchStatement, visitDeclarationExpression, visitSwitch, visitWhileLoop, visitForLoop, visitIfElse, visitDoWhileLoop, visitImports, visitAnnotations, visitConstantExpression, visitPropertyExpression, visitListExpression, visitClassExpression, visitArgumentlistExpression, visitClosureExpression, visitMethodCallExpression, visitTupleExpression, visitVariableExpression, visitPrefixExpression, visitShortTernaryExpression, visitRangeExpression, visitCastExpression, visitStaticMethodCallExpression, visitSpreadExpression, visitUnaryPlusExpression, visitGStringExpression, visitClosureListExpression, visitFieldExpression, visitBinaryExpression, visitMapEntryExpression, visitConstructorCallExpression, visitPostfixExpression, visitBooleanExpression, visitArrayExpression, visitNotExpression, visitTernaryExpression, visitUnaryMinusExpression, visitAttributeExpression, visitMapExpression, visitMethodPointerExpression, visitBitwiseNegationExpression, visitSpreadMapExpression, visitBytecodeExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class CodeVisitorSupport` | `visitConstantExpression, visitPropertyExpression, visitListExpression, visitReturnStatement, visitClassExpression, visitBreakStatement, visitContinueStatement, visitThrowStatement, visitCaseStatement, visitExpressionStatement, visitSynchronizedStatement, visitArgumentlistExpression, visitClosureExpression, visitMethodCallExpression, visitTupleExpression, visitBlockStatement, visitVariableExpression, visitAssertStatement, visitTryCatchFinally, visitPrefixExpression, visitCatchStatement, visitShortTernaryExpression, visitRangeExpression, visitCastExpression, visitStaticMethodCallExpression, visitSpreadExpression, visitUnaryPlusExpression, visitGStringExpression, visitClosureListExpression, visitFieldExpression, visitDeclarationExpression, visitBinaryExpression, visitMapEntryExpression, visitConstructorCallExpression, visitPostfixExpression, visitBooleanExpression, visitArrayExpression, visitNotExpression, visitTernaryExpression, visitUnaryMinusExpression, visitAttributeExpression, visitMapExpression, visitMethodPointerExpression, visitBitwiseNegationExpression, visitSpreadMapExpression, visitBytecodeExpression, visitSwitch, visitWhileLoop, visitForLoop, visitIfElse, visitDoWhileLoop, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public EnumCompletionVisitor(CompilationUnit cu, SourceUnit su)

  - ### Method Detail

    - #### public static void addMapConstructors(ClassNode enumClass, boolean hasNoArg)

    - #### protected SourceUnit getSourceUnit()

    - #### public void visitClass(ClassNode node)